> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://agentinbox.space/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://agentinbox.space/_mcp/server.

# Список API-ключей

GET https://api.agentinbox.space/v0/inboxes/{inbox_id}/api-keys

**CLI:**

```bash
agentinbox inboxes:api-keys list --inbox-id <inbox_id>
```

Reference: https://agentinbox.space/api-reference/inboxes/api-keys/list

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer   `) — Header authentication of the form `Bearer  <token>`

## Servers

- `https://api.agentinbox.space` (prod, default)
- `https://x402.api.agentinbox.space` (prod-x402)
- `https://mpp.api.agentinbox.space` (prod-mpp)
- `https://api.agentinbox.space` (eu-prod)

## Request

### Path parameters

- `inbox_id` (string, required) — Идентификатор ящика.

### Query parameters

- `limit` (integer, optional) — Максимальное число возвращаемых элементов.
- `page_token` (string, optional) — Токен страницы для постраничной выборки.

## Response

### 200

- `count` (integer, required) — Число возвращённых элементов.
- `api_keys` (list of ApiKey, required) — Упорядочено по `created_at` по убыванию.
- `next_page_token` (string, optional) — Токен страницы для постраничной выборки.

## Errors

### 404 Not Found Error

- `name` (string, required) — Имя ошибки.
- `message` (string, required) — Текст сообщения об ошибке.

## Types

### ApiKey

- `api_key_id` (string, required) — Идентификатор API-ключа.
- `prefix` (string, required) — Префикс API-ключа.
- `name` (string, required) — Имя API-ключа.
- `created_at` (datetime, required) — Время создания API-ключа.
- `pod_id` (string, optional) — Идентификатор пода, в области которого действует ключ. Если задан — доступ только к ресурсам этого пода.
- `inbox_id` (string, optional) — Идентификатор ящика, в области которого действует ключ. Если задан — доступ только к ресурсам этого ящика.
- `used_at` (datetime, optional) — Время последнего использования ключа.
- `permissions` (ApiKeyPermissions, optional) — Гранулярные разрешения API-ключа. Если не указано — выдаются все разрешения. Иначе действуют только разрешения со значением true.

### ApiKeyPermissions

Гранулярные разрешения API-ключа. Если не указано — выдаются все разрешения. Иначе действуют только разрешения со значением true.

- `inbox_read` (boolean, optional) — Чтение данных ящика.
- `inbox_create` (boolean, optional) — Создание ящиков.
- `inbox_update` (boolean, optional) — Изменение настроек ящика.
- `inbox_delete` (boolean, optional) — Удаление ящиков.
- `thread_read` (boolean, optional) — Чтение цепочек.
- `thread_delete` (boolean, optional) — Удаление цепочек.
- `message_read` (boolean, optional) — Чтение сообщений.
- `message_send` (boolean, optional) — Отправка сообщений.
- `message_update` (boolean, optional) — Изменение меток сообщений.
- `label_spam_read` (boolean, optional) — Доступ к сообщениям с меткой спама.
- `label_blocked_read` (boolean, optional) — Доступ к сообщениям с меткой блокировки.
- `label_trash_read` (boolean, optional) — Доступ к сообщениям в корзине.
- `draft_read` (boolean, optional) — Чтение черновиков.
- `draft_create` (boolean, optional) — Создание черновиков.
- `draft_update` (boolean, optional) — Изменение черновиков.
- `draft_delete` (boolean, optional) — Удаление черновиков.
- `draft_send` (boolean, optional) — Отправка черновиков.
- `webhook_read` (boolean, optional) — Чтение конфигураций вебхуков.
- `webhook_create` (boolean, optional) — Создание вебхуков.
- `webhook_update` (boolean, optional) — Изменение вебхуков.
- `webhook_delete` (boolean, optional) — Удаление вебхуков.
- `domain_read` (boolean, optional) — Чтение данных домена.
- `domain_create` (boolean, optional) — Создание доменов.
- `domain_update` (boolean, optional) — Изменение доменов.
- `domain_delete` (boolean, optional) — Удаление доменов.
- `list_entry_read` (boolean, optional) — Чтение записей списков.
- `list_entry_create` (boolean, optional) — Создание записей списков.
- `list_entry_delete` (boolean, optional) — Удаление записей списков.
- `metrics_read` (boolean, optional) — Чтение метрик.
- `api_key_read` (boolean, optional) — Чтение API-ключей.
- `api_key_create` (boolean, optional) — Создание API-ключей.
- `api_key_delete` (boolean, optional) — Удаление API-ключей.
- `pod_read` (boolean, optional) — Чтение подов.
- `pod_create` (boolean, optional) — Создание подов.
- `pod_delete` (boolean, optional) — Удаление подов.

## Examples

**Response**

```json
{
  "count": 1,
  "api_keys": [
    {
      "api_key_id": "api_key_id",
      "prefix": "prefix",
      "name": "name",
      "created_at": "2024-01-15T09:30:00Z",
      "pod_id": "pod_id",
      "inbox_id": "inbox_id",
      "used_at": "2024-01-15T09:30:00Z",
      "permissions": {
        "inbox_read": true,
        "inbox_create": true,
        "inbox_update": true,
        "inbox_delete": true,
        "thread_read": true,
        "thread_delete": true,
        "message_read": true,
        "message_send": true,
        "message_update": true,
        "label_spam_read": true,
        "label_blocked_read": true,
        "label_trash_read": true,
        "draft_read": true,
        "draft_create": true,
        "draft_update": true,
        "draft_delete": true,
        "draft_send": true,
        "webhook_read": true,
        "webhook_create": true,
        "webhook_update": true,
        "webhook_delete": true,
        "domain_read": true,
        "domain_create": true,
        "domain_update": true,
        "domain_delete": true,
        "list_entry_read": true,
        "list_entry_create": true,
        "list_entry_delete": true,
        "metrics_read": true,
        "api_key_read": true,
        "api_key_create": true,
        "api_key_delete": true,
        "pod_read": true,
        "pod_create": true,
        "pod_delete": true
      }
    },
    {
      "api_key_id": "api_key_id",
      "prefix": "prefix",
      "name": "name",
      "created_at": "2024-01-15T09:30:00Z",
      "pod_id": "pod_id",
      "inbox_id": "inbox_id",
      "used_at": "2024-01-15T09:30:00Z",
      "permissions": {
        "inbox_read": true,
        "inbox_create": true,
        "inbox_update": true,
        "inbox_delete": true,
        "thread_read": true,
        "thread_delete": true,
        "message_read": true,
        "message_send": true,
        "message_update": true,
        "label_spam_read": true,
        "label_blocked_read": true,
        "label_trash_read": true,
        "draft_read": true,
        "draft_create": true,
        "draft_update": true,
        "draft_delete": true,
        "draft_send": true,
        "webhook_read": true,
        "webhook_create": true,
        "webhook_update": true,
        "webhook_delete": true,
        "domain_read": true,
        "domain_create": true,
        "domain_update": true,
        "domain_delete": true,
        "list_entry_read": true,
        "list_entry_create": true,
        "list_entry_delete": true,
        "metrics_read": true,
        "api_key_read": true,
        "api_key_create": true,
        "api_key_delete": true,
        "pod_read": true,
        "pod_create": true,
        "pod_delete": true
      }
    }
  ],
  "next_page_token": "next_page_token"
}
```

**SDK Code**

```python
import requests

url = "https://api.agentinbox.space/v0/inboxes/inbox_id/api-keys"

headers = {"Authorization": "Bearer  <api_key>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.agentinbox.space/v0/inboxes/inbox_id/api-keys';
const options = {method: 'GET', headers: {Authorization: 'Bearer  <api_key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.agentinbox.space/v0/inboxes/inbox_id/api-keys"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer  <api_key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.agentinbox.space/v0/inboxes/inbox_id/api-keys")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer  <api_key>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.agentinbox.space/v0/inboxes/inbox_id/api-keys")
  .header("Authorization", "Bearer  <api_key>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.agentinbox.space/v0/inboxes/inbox_id/api-keys', [
  'headers' => [
    'Authorization' => 'Bearer  <api_key>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.agentinbox.space/v0/inboxes/inbox_id/api-keys");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer  <api_key>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer  <api_key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.agentinbox.space/v0/inboxes/inbox_id/api-keys")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```